cb_huff Module Reference
Inheritance diagram for cb_huff:
[legend]

## Static Public Member Functions

## Always Constructs

ALWAYS_32 | ( clk )
ALWAYS_33 | ( clk )
ALWAYS_34 | ( clk )
ALWAYS_35 | ( clk )
ALWAYS_36 | ( clk )
ALWAYS_37 | ( clk )
ALWAYS_38 | ( clk )
ALWAYS_39 | ( clk )
ALWAYS_40 | ( clk )
ALWAYS_41 | ( clk )
ALWAYS_42 | ( clk )
ALWAYS_43 | ( clk )
ALWAYS_44 | ( clk )
ALWAYS_45 | ( clk )
ALWAYS_46 | ( clk )
ALWAYS_47 | ( clk )
ALWAYS_48 | ( clk )
ALWAYS_49 | ( clk )
ALWAYS_50 | ( clk )
ALWAYS_51 | ( clk )
ALWAYS_52 | ( clk )
ALWAYS_53 | ( clk )
ALWAYS_54 | ( clk )
ALWAYS_55 | ( clk )
ALWAYS_56 | ( clk )
ALWAYS_57 | ( clk )
ALWAYS_58 | ( clk )
ALWAYS_59 | ( clk )
ALWAYS_60 | ( clk )
ALWAYS_61 | ( clk )
ALWAYS_62 | ( clk )
ALWAYS_63 | ( clk )
ALWAYS_64 | ( clk )
ALWAYS_65 | ( clk )
ALWAYS_66 | ( clk )
ALWAYS_67 | ( clk )
ALWAYS_68 | ( clk )
ALWAYS_69 | ( clk )
ALWAYS_70 | ( clk )
ALWAYS_71 | ( clk )
ALWAYS_72 | ( clk )
ALWAYS_73 | ( clk )
ALWAYS_74 | ( clk )
ALWAYS_75 | ( clk )
ALWAYS_76 | ( clk )
ALWAYS_77 | ( clk )
ALWAYS_78 | ( clk )
ALWAYS_79 | ( clk )
ALWAYS_80 | ( clk )
ALWAYS_81 | ( clk )
ALWAYS_82 | ( clk )
ALWAYS_83 | ( clk )
ALWAYS_84 | ( clk )
ALWAYS_85 | ( clk )
ALWAYS_86 | ( clk )
ALWAYS_87 | ( clk )
ALWAYS_88 | ( clk )
ALWAYS_89 | ( clk )
ALWAYS_90 | ( clk )
ALWAYS_91 | ( clk )
ALWAYS_92 | ( clk )
ALWAYS_93 | ( clk )
ALWAYS_94 | ( clk )
ALWAYS_95 | ( clk )
ALWAYS_96 | ( clk )
ALWAYS_97 | ( clk )
ALWAYS_98 | ( clk )
ALWAYS_99 | ( clk )
ALWAYS_100 | ( clk )
ALWAYS_101 | ( clk )

## Public Attributes

## Inputs

clk |
rst |
enable |
Cb11 | [ 10 : 0 ]
Cb12 | [ 10 : 0 ]
Cb13 | [ 10 : 0 ]
Cb14 | [ 10 : 0 ]
Cb15 | [ 10 : 0 ]
Cb16 | [ 10 : 0 ]
Cb17 | [ 10 : 0 ]
Cb18 | [ 10 : 0 ]
Cb21 | [ 10 : 0 ]
Cb22 | [ 10 : 0 ]
Cb23 | [ 10 : 0 ]
Cb24 | [ 10 : 0 ]
Cb25 | [ 10 : 0 ]
Cb26 | [ 10 : 0 ]
Cb27 | [ 10 : 0 ]
Cb28 | [ 10 : 0 ]
Cb31 | [ 10 : 0 ]
Cb32 | [ 10 : 0 ]
Cb33 | [ 10 : 0 ]
Cb34 | [ 10 : 0 ]
Cb35 | [ 10 : 0 ]
Cb36 | [ 10 : 0 ]
Cb37 | [ 10 : 0 ]
Cb38 | [ 10 : 0 ]
Cb41 | [ 10 : 0 ]
Cb42 | [ 10 : 0 ]
Cb43 | [ 10 : 0 ]
Cb44 | [ 10 : 0 ]
Cb45 | [ 10 : 0 ]
Cb46 | [ 10 : 0 ]
Cb47 | [ 10 : 0 ]
Cb48 | [ 10 : 0 ]
Cb51 | [ 10 : 0 ]
Cb52 | [ 10 : 0 ]
Cb53 | [ 10 : 0 ]
Cb54 | [ 10 : 0 ]
Cb55 | [ 10 : 0 ]
Cb56 | [ 10 : 0 ]
Cb57 | [ 10 : 0 ]
Cb58 | [ 10 : 0 ]
Cb61 | [ 10 : 0 ]
Cb62 | [ 10 : 0 ]
Cb63 | [ 10 : 0 ]
Cb64 | [ 10 : 0 ]
Cb65 | [ 10 : 0 ]
Cb66 | [ 10 : 0 ]
Cb67 | [ 10 : 0 ]
Cb68 | [ 10 : 0 ]
Cb71 | [ 10 : 0 ]
Cb72 | [ 10 : 0 ]
Cb73 | [ 10 : 0 ]
Cb74 | [ 10 : 0 ]
Cb75 | [ 10 : 0 ]
Cb76 | [ 10 : 0 ]
Cb77 | [ 10 : 0 ]
Cb78 | [ 10 : 0 ]
Cb81 | [ 10 : 0 ]
Cb82 | [ 10 : 0 ]
Cb83 | [ 10 : 0 ]
Cb84 | [ 10 : 0 ]
Cb85 | [ 10 : 0 ]
Cb86 | [ 10 : 0 ]
Cb87 | [ 10 : 0 ]
Cb88 | [ 10 : 0 ]

## Outputs

JPEG_bitstream | [ 31 : 0 ]
data_ready |
output_reg_count | [ 4 : 0 ]
end_of_block_empty |

## Signals

reg[ 7 : 0 ] | block_counter
reg[ 11 : 0 ] | Cb11_amp
reg[ 11 : 0 ] | Cb11_1_pos
reg[ 11 : 0 ] | Cb11_1_neg
reg[ 11 : 0 ] | Cb11_diff
reg[ 11 : 0 ] | Cb11_previous
reg[ 11 : 0 ] | Cb11_1
reg[ 10 : 0 ] | Cb12_amp
reg[ 10 : 0 ] | Cb12_pos
reg[ 10 : 0 ] | Cb12_neg
reg[ 10 : 0 ] | Cb21_pos
reg[ 10 : 0 ] | Cb21_neg
reg[ 10 : 0 ] | Cb31_pos
reg[ 10 : 0 ] | Cb31_neg
reg[ 10 : 0 ] | Cb22_pos
reg[ 10 : 0 ] | Cb22_neg
reg[ 10 : 0 ] | Cb13_pos
reg[ 10 : 0 ] | Cb13_neg
reg[ 10 : 0 ] | Cb14_pos
reg[ 10 : 0 ] | Cb14_neg
reg[ 10 : 0 ] | Cb15_pos
reg[ 10 : 0 ] | Cb15_neg
reg[ 10 : 0 ] | Cb16_pos
reg[ 10 : 0 ] | Cb16_neg
reg[ 10 : 0 ] | Cb17_pos
reg[ 10 : 0 ] | Cb17_neg
reg[ 10 : 0 ] | Cb18_pos
reg[ 10 : 0 ] | Cb18_neg
reg[ 10 : 0 ] | Cb23_pos
reg[ 10 : 0 ] | Cb23_neg
reg[ 10 : 0 ] | Cb24_pos
reg[ 10 : 0 ] | Cb24_neg
reg[ 10 : 0 ] | Cb25_pos
reg[ 10 : 0 ] | Cb25_neg
reg[ 10 : 0 ] | Cb26_pos
reg[ 10 : 0 ] | Cb26_neg
reg[ 10 : 0 ] | Cb27_pos
reg[ 10 : 0 ] | Cb27_neg
reg[ 10 : 0 ] | Cb28_pos
reg[ 10 : 0 ] | Cb28_neg
reg[ 10 : 0 ] | Cb32_pos
reg[ 10 : 0 ] | Cb32_neg
reg[ 10 : 0 ] | Cb33_pos
reg[ 10 : 0 ] | Cb33_neg
reg[ 10 : 0 ] | Cb34_pos
reg[ 10 : 0 ] | Cb34_neg
reg[ 10 : 0 ] | Cb35_pos
reg[ 10 : 0 ] | Cb35_neg
reg[ 10 : 0 ] | Cb36_pos
reg[ 10 : 0 ] | Cb36_neg
reg[ 10 : 0 ] | Cb37_pos
reg[ 10 : 0 ] | Cb37_neg
reg[ 10 : 0 ] | Cb38_pos
reg[ 10 : 0 ] | Cb38_neg
reg[ 10 : 0 ] | Cb41_pos
reg[ 10 : 0 ] | Cb41_neg
reg[ 10 : 0 ] | Cb42_pos
reg[ 10 : 0 ] | Cb42_neg
reg[ 10 : 0 ] | Cb43_pos
reg[ 10 : 0 ] | Cb43_neg
reg[ 10 : 0 ] | Cb44_pos
reg[ 10 : 0 ] | Cb44_neg
reg[ 10 : 0 ] | Cb45_pos
reg[ 10 : 0 ] | Cb45_neg
reg[ 10 : 0 ] | Cb46_pos
reg[ 10 : 0 ] | Cb46_neg
reg[ 10 : 0 ] | Cb47_pos
reg[ 10 : 0 ] | Cb47_neg
reg[ 10 : 0 ] | Cb48_pos
reg[ 10 : 0 ] | Cb48_neg
reg[ 10 : 0 ] | Cb51_pos
reg[ 10 : 0 ] | Cb51_neg
reg[ 10 : 0 ] | Cb52_pos
reg[ 10 : 0 ] | Cb52_neg
reg[ 10 : 0 ] | Cb53_pos
reg[ 10 : 0 ] | Cb53_neg
reg[ 10 : 0 ] | Cb54_pos
reg[ 10 : 0 ] | Cb54_neg
reg[ 10 : 0 ] | Cb55_pos
reg[ 10 : 0 ] | Cb55_neg
reg[ 10 : 0 ] | Cb56_pos
reg[ 10 : 0 ] | Cb56_neg
reg[ 10 : 0 ] | Cb57_pos
reg[ 10 : 0 ] | Cb57_neg
reg[ 10 : 0 ] | Cb58_pos
reg[ 10 : 0 ] | Cb58_neg
reg[ 10 : 0 ] | Cb61_pos
reg[ 10 : 0 ] | Cb61_neg
reg[ 10 : 0 ] | Cb62_pos
reg[ 10 : 0 ] | Cb62_neg
reg[ 10 : 0 ] | Cb63_pos
reg[ 10 : 0 ] | Cb63_neg
reg[ 10 : 0 ] | Cb64_pos
reg[ 10 : 0 ] | Cb64_neg
reg[ 10 : 0 ] | Cb65_pos
reg[ 10 : 0 ] | Cb65_neg
reg[ 10 : 0 ] | Cb66_pos
reg[ 10 : 0 ] | Cb66_neg
reg[ 10 : 0 ] | Cb67_pos
reg[ 10 : 0 ] | Cb67_neg
reg[ 10 : 0 ] | Cb68_pos
reg[ 10 : 0 ] | Cb68_neg
reg[ 10 : 0 ] | Cb71_pos
reg[ 10 : 0 ] | Cb71_neg
reg[ 10 : 0 ] | Cb72_pos
reg[ 10 : 0 ] | Cb72_neg
reg[ 10 : 0 ] | Cb73_pos
reg[ 10 : 0 ] | Cb73_neg
reg[ 10 : 0 ] | Cb74_pos
reg[ 10 : 0 ] | Cb74_neg
reg[ 10 : 0 ] | Cb75_pos
reg[ 10 : 0 ] | Cb75_neg
reg[ 10 : 0 ] | Cb76_pos
reg[ 10 : 0 ] | Cb76_neg
reg[ 10 : 0 ] | Cb77_pos
reg[ 10 : 0 ] | Cb77_neg
reg[ 10 : 0 ] | Cb78_pos
reg[ 10 : 0 ] | Cb78_neg
reg[ 10 : 0 ] | Cb81_pos
reg[ 10 : 0 ] | Cb81_neg
reg[ 10 : 0 ] | Cb82_pos
reg[ 10 : 0 ] | Cb82_neg
reg[ 10 : 0 ] | Cb83_pos
reg[ 10 : 0 ] | Cb83_neg
reg[ 10 : 0 ] | Cb84_pos
reg[ 10 : 0 ] | Cb84_neg
reg[ 10 : 0 ] | Cb85_pos
reg[ 10 : 0 ] | Cb85_neg
reg[ 10 : 0 ] | Cb86_pos
reg[ 10 : 0 ] | Cb86_neg
reg[ 10 : 0 ] | Cb87_pos
reg[ 10 : 0 ] | Cb87_neg
reg[ 10 : 0 ] | Cb88_pos
reg[ 10 : 0 ] | Cb88_neg
reg[ 3 : 0 ] | Cb11_bits_pos
reg[ 3 : 0 ] | Cb11_bits_neg
reg[ 3 : 0 ] | Cb11_bits
reg[ 3 : 0 ] | Cb11_bits_1
reg[ 3 : 0 ] | Cb12_bits_pos
reg[ 3 : 0 ] | Cb12_bits_neg
reg[ 3 : 0 ] | Cb12_bits
reg[ 3 : 0 ] | Cb12_bits_1
reg[ 3 : 0 ] | Cb12_bits_2
reg[ 3 : 0 ] | Cb12_bits_3
reg | Cb11_msb
reg | Cb12_msb
reg | Cb12_msb_1
reg | data_ready
reg | enable_1
reg | enable_2
reg | enable_3
reg | enable_4
reg | enable_5
reg | enable_6
reg | enable_7
reg | enable_8
reg | enable_9
reg | enable_10
reg | enable_11
reg | enable_12
reg | enable_13
reg | enable_module
reg | enable_latch_7
reg | enable_latch_8
reg | Cb12_et_zero
reg | rollover
reg | rollover_1
reg | rollover_2
reg | rollover_3
reg | rollover_4
reg | rollover_5
reg | rollover_6
reg | rollover_7
reg | Cb21_et_zero
reg | Cb21_msb
reg | Cb31_et_zero
reg | Cb31_msb
reg | Cb22_et_zero
reg | Cb22_msb
reg | Cb13_et_zero
reg | Cb13_msb
reg | Cb14_et_zero
reg | Cb14_msb
reg | Cb15_et_zero
reg | Cb15_msb
reg | Cb16_et_zero
reg | Cb16_msb
reg | Cb17_et_zero
reg | Cb17_msb
reg | Cb18_et_zero
reg | Cb18_msb
reg | Cb23_et_zero
reg | Cb23_msb
reg | Cb24_et_zero
reg | Cb24_msb
reg | Cb25_et_zero
reg | Cb25_msb
reg | Cb26_et_zero
reg | Cb26_msb
reg | Cb27_et_zero
reg | Cb27_msb
reg | Cb28_et_zero
reg | Cb28_msb
reg | Cb32_et_zero
reg | Cb32_msb
reg | Cb33_et_zero
reg | Cb33_msb
reg | Cb34_et_zero
reg | Cb34_msb
reg | Cb35_et_zero
reg | Cb35_msb
reg | Cb36_et_zero
reg | Cb36_msb
reg | Cb37_et_zero
reg | Cb37_msb
reg | Cb38_et_zero
reg | Cb38_msb
reg | Cb41_et_zero
reg | Cb41_msb
reg | Cb42_et_zero
reg | Cb42_msb
reg | Cb43_et_zero
reg | Cb43_msb
reg | Cb44_et_zero
reg | Cb44_msb
reg | Cb45_et_zero
reg | Cb45_msb
reg | Cb46_et_zero
reg | Cb46_msb
reg | Cb47_et_zero
reg | Cb47_msb
reg | Cb48_et_zero
reg | Cb48_msb
reg | Cb51_et_zero
reg | Cb51_msb
reg | Cb52_et_zero
reg | Cb52_msb
reg | Cb53_et_zero
reg | Cb53_msb
reg | Cb54_et_zero
reg | Cb54_msb
reg | Cb55_et_zero
reg | Cb55_msb
reg | Cb56_et_zero
reg | Cb56_msb
reg | Cb57_et_zero
reg | Cb57_msb
reg | Cb58_et_zero
reg | Cb58_msb
reg | Cb61_et_zero
reg | Cb61_msb
reg | Cb62_et_zero
reg | Cb62_msb
reg | Cb63_et_zero
reg | Cb63_msb
reg | Cb64_et_zero
reg | Cb64_msb
reg | Cb65_et_zero
reg | Cb65_msb
reg | Cb66_et_zero
reg | Cb66_msb
reg | Cb67_et_zero
reg | Cb67_msb
reg | Cb68_et_zero
reg | Cb68_msb
reg | Cb71_et_zero
reg | Cb71_msb
reg | Cb72_et_zero
reg | Cb72_msb
reg | Cb73_et_zero
reg | Cb73_msb
reg | Cb74_et_zero
reg | Cb74_msb
reg | Cb75_et_zero
reg | Cb75_msb
reg | Cb76_et_zero
reg | Cb76_msb
reg | Cb77_et_zero
reg | Cb77_msb
reg | Cb78_et_zero
reg | Cb78_msb
reg | Cb81_et_zero
reg | Cb81_msb
reg | Cb82_et_zero
reg | Cb82_msb
reg | Cb83_et_zero
reg | Cb83_msb
reg | Cb84_et_zero
reg | Cb84_msb
reg | Cb85_et_zero
reg | Cb85_msb
reg | Cb86_et_zero
reg | Cb86_msb
reg | Cb87_et_zero
reg | Cb87_msb
reg | Cb88_et_zero
reg | Cb88_msb
reg | Cb12_et_zero_1
reg | Cb12_et_zero_2
reg | Cb12_et_zero_3
reg | Cb12_et_zero_4
reg | Cb12_et_zero_5
reg[ 10 : 0 ] | Cb_DC [ 11 : 0 ]
reg[ 3 : 0 ] | Cb_DC_code_length [ 11 : 0 ]
reg[ 15 : 0 ] | Cb_AC [ 161 : 0 ]
reg[ 4 : 0 ] | Cb_AC_code_length [ 161 : 0 ]
reg[ 7 : 0 ] | Cb_AC_run_code [ 250 : 0 ]
reg[ 10 : 0 ] | Cb11_Huff
reg[ 10 : 0 ] | Cb11_Huff_1
reg[ 10 : 0 ] | Cb11_Huff_2
reg[ 15 : 0 ] | Cb12_Huff
reg[ 15 : 0 ] | Cb12_Huff_1
reg[ 15 : 0 ] | Cb12_Huff_2
reg[ 3 : 0 ] | Cb11_Huff_count
reg[ 3 : 0 ] | Cb11_Huff_shift
reg[ 3 : 0 ] | Cb11_Huff_shift_1
reg[ 3 : 0 ] | Cb11_amp_shift
reg[ 3 : 0 ] | Cb12_amp_shift
reg[ 3 : 0 ] | Cb12_Huff_shift
reg[ 3 : 0 ] | Cb12_Huff_shift_1
reg[ 3 : 0 ] | zero_run_length
reg[ 3 : 0 ] | zrl_1
reg[ 3 : 0 ] | zrl_2
reg[ 3 : 0 ] | zrl_3
reg[ 4 : 0 ] | Cb12_Huff_count
reg[ 4 : 0 ] | Cb12_Huff_count_1
reg[ 4 : 0 ] | output_reg_count
reg[ 4 : 0 ] | Cb11_output_count
reg[ 4 : 0 ] | old_orc_1
reg[ 4 : 0 ] | old_orc_2
reg[ 4 : 0 ] | old_orc_3
reg[ 4 : 0 ] | old_orc_4
reg[ 4 : 0 ] | old_orc_5
reg[ 4 : 0 ] | old_orc_6
reg[ 4 : 0 ] | Cb12_oc_1
reg[ 4 : 0 ] | orc_3
reg[ 4 : 0 ] | orc_4
reg[ 4 : 0 ] | orc_5
reg[ 4 : 0 ] | orc_6
reg[ 4 : 0 ] | orc_7
reg[ 4 : 0 ] | orc_8
reg[ 4 : 0 ] | Cb12_output_count
reg[ 4 : 0 ] | Cb12_edge
reg[ 4 : 0 ] | Cb12_edge_1
reg[ 4 : 0 ] | Cb12_edge_2
reg[ 4 : 0 ] | Cb12_edge_3
reg[ 4 : 0 ] | Cb12_edge_4
reg[ 31 : 0 ] | JPEG_bitstream
reg[ 31 : 0 ] | JPEG_bs
reg[ 31 : 0 ] | JPEG_bs_1
reg[ 31 : 0 ] | JPEG_bs_2
reg[ 31 : 0 ] | JPEG_bs_3
reg[ 31 : 0 ] | JPEG_bs_4
reg[ 31 : 0 ] | JPEG_bs_5
reg[ 31 : 0 ] | JPEG_Cb12_bs
reg[ 31 : 0 ] | JPEG_Cb12_bs_1
reg[ 31 : 0 ] | JPEG_Cb12_bs_2
reg[ 31 : 0 ] | JPEG_Cb12_bs_3
reg[ 31 : 0 ] | JPEG_Cb12_bs_4
reg[ 31 : 0 ] | JPEG_ro_bs
reg[ 31 : 0 ] | JPEG_ro_bs_1
reg[ 31 : 0 ] | JPEG_ro_bs_2
reg[ 31 : 0 ] | JPEG_ro_bs_3
reg[ 31 : 0 ] | JPEG_ro_bs_4
reg[ 21 : 0 ] | Cb11_JPEG_LSBs_3
reg[ 10 : 0 ] | Cb11_JPEG_LSBs
reg[ 10 : 0 ] | Cb11_JPEG_LSBs_1
reg[ 10 : 0 ] | Cb11_JPEG_LSBs_2
reg[ 9 : 0 ] | Cb12_JPEG_LSBs
reg[ 9 : 0 ] | Cb12_JPEG_LSBs_1
reg[ 9 : 0 ] | Cb12_JPEG_LSBs_2
reg[ 9 : 0 ] | Cb12_JPEG_LSBs_3
reg[ 25 : 0 ] | Cb11_JPEG_bits
reg[ 25 : 0 ] | Cb11_JPEG_bits_1
reg[ 25 : 0 ] | Cb12_JPEG_bits
reg[ 25 : 0 ] | Cb12_JPEG_LSBs_4
reg[ 7 : 0 ] | Cb12_code_entry
reg | third_8_all_0s
reg | fourth_8_all_0s
reg | fifth_8_all_0s
reg | sixth_8_all_0s
reg | seventh_8_all_0s
reg | eighth_8_all_0s
reg | end_of_block
reg | end_of_block_output
reg | code_15_0
reg | zrl_et_15
reg | end_of_block_empty
wire[ 7 : 0 ] | code_index

## Detailed Description

Definition at line 42 of file cb_huff.v.

## Member Function Documentation

ALWAYS_100 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2234 of file cb_huff.v.

ALWAYS_101 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2244 of file cb_huff.v.

ALWAYS_32 | ( |  | clk
| ) |  |

Always Construct

Definition at line 163 of file cb_huff.v.

ALWAYS_33 | ( |  | clk
| ) |  |

Always Construct

Definition at line 195 of file cb_huff.v.

ALWAYS_34 | ( |  | clk
| ) |  |

Always Construct

Definition at line 213 of file cb_huff.v.

ALWAYS_35 | ( |  | clk
| ) |  |

Always Construct

Definition at line 226 of file cb_huff.v.

ALWAYS_36 | ( |  | clk
| ) |  |

Always Construct

Definition at line 242 of file cb_huff.v.

ALWAYS_37 | ( |  | clk
| ) |  |

Always Construct

Definition at line 255 of file cb_huff.v.

ALWAYS_38 | ( |  | clk
| ) |  |

Always Construct

Definition at line 288 of file cb_huff.v.

ALWAYS_39 | ( |  | clk
| ) |  |

Always Construct

Definition at line 329 of file cb_huff.v.

ALWAYS_40 | ( |  | clk
| ) |  |

Always Construct

Definition at line 340 of file cb_huff.v.

ALWAYS_41 | ( |  | clk
| ) |  |

Always Construct

Definition at line 354 of file cb_huff.v.

ALWAYS_42 | ( |  | clk
| ) |  |

Always Construct

Definition at line 368 of file cb_huff.v.

ALWAYS_43 | ( |  | clk
| ) |  |

Always Construct

Definition at line 382 of file cb_huff.v.

ALWAYS_44 | ( |  | clk
| ) |  |

Always Construct

Definition at line 397 of file cb_huff.v.

ALWAYS_45 | ( |  | clk
| ) |  |

Always Construct

Definition at line 424 of file cb_huff.v.

ALWAYS_46 | ( |  | clk
| ) |  |

Always Construct

Definition at line 449 of file cb_huff.v.

ALWAYS_47 | ( |  | clk
| ) |  |

Always Construct

Definition at line 464 of file cb_huff.v.

ALWAYS_48 | ( |  | clk
| ) |  |

Always Construct

Definition at line 478 of file cb_huff.v.

ALWAYS_49 | ( |  | clk
| ) |  |

Always Construct

Definition at line 496 of file cb_huff.v.

ALWAYS_50 | ( |  | clk
| ) |  |

Always Construct

Definition at line 511 of file cb_huff.v.

ALWAYS_51 | ( |  | clk
| ) |  |

Always Construct

Definition at line 529 of file cb_huff.v.

ALWAYS_52 | ( |  | clk
| ) |  |

Always Construct

Definition at line 544 of file cb_huff.v.

ALWAYS_53 | ( |  | clk
| ) |  |

Always Construct

Definition at line 560 of file cb_huff.v.

ALWAYS_54 | ( |  | clk
| ) |  |

Always Construct

Definition at line 571 of file cb_huff.v.

ALWAYS_55 | ( |  | clk
| ) |  |

Always Construct

Definition at line 587 of file cb_huff.v.

ALWAYS_56 | ( |  | clk
| ) |  |

Always Construct

Definition at line 598 of file cb_huff.v.

ALWAYS_57 | ( |  | clk
| ) |  |

Always Construct

Definition at line 608 of file cb_huff.v.

ALWAYS_58 | ( |  | clk
| ) |  |

Always Construct

Definition at line 621 of file cb_huff.v.

ALWAYS_59 | ( |  | clk
| ) |  |

Always Construct

Definition at line 635 of file cb_huff.v.

ALWAYS_60 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1212 of file cb_huff.v.

ALWAYS_61 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1223 of file cb_huff.v.

ALWAYS_62 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1253 of file cb_huff.v.

ALWAYS_63 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1284 of file cb_huff.v.

ALWAYS_64 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1312 of file cb_huff.v.

ALWAYS_65 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1340 of file cb_huff.v.

ALWAYS_66 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1350 of file cb_huff.v.

ALWAYS_67 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1363 of file cb_huff.v.

ALWAYS_68 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1373 of file cb_huff.v.

ALWAYS_69 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1403 of file cb_huff.v.

ALWAYS_70 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1934 of file cb_huff.v.

ALWAYS_71 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1944 of file cb_huff.v.

ALWAYS_72 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1954 of file cb_huff.v.

ALWAYS_73 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1964 of file cb_huff.v.

ALWAYS_74 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1974 of file cb_huff.v.

ALWAYS_75 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1984 of file cb_huff.v.

ALWAYS_76 | ( |  | clk
| ) |  |

Always Construct

Definition at line 1994 of file cb_huff.v.

ALWAYS_77 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2004 of file cb_huff.v.

ALWAYS_78 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2014 of file cb_huff.v.

ALWAYS_79 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2024 of file cb_huff.v.

ALWAYS_80 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2034 of file cb_huff.v.

ALWAYS_81 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2044 of file cb_huff.v.

ALWAYS_82 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2054 of file cb_huff.v.

ALWAYS_83 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2064 of file cb_huff.v.

ALWAYS_84 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2074 of file cb_huff.v.

ALWAYS_85 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2084 of file cb_huff.v.

ALWAYS_86 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2094 of file cb_huff.v.

ALWAYS_87 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2104 of file cb_huff.v.

ALWAYS_88 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2114 of file cb_huff.v.

ALWAYS_89 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2124 of file cb_huff.v.

ALWAYS_90 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2134 of file cb_huff.v.

ALWAYS_91 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2144 of file cb_huff.v.

ALWAYS_92 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2154 of file cb_huff.v.

ALWAYS_93 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2164 of file cb_huff.v.

ALWAYS_94 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2174 of file cb_huff.v.

ALWAYS_95 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2184 of file cb_huff.v.

ALWAYS_96 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2194 of file cb_huff.v.

ALWAYS_97 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2204 of file cb_huff.v.

ALWAYS_98 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2214 of file cb_huff.v.

ALWAYS_99 | ( |  | clk
| ) |  |

Always Construct

Definition at line 2224 of file cb_huff.v.

## Member Data Documentation

clk

Input

Definition at line 48 of file cb_huff.v.

rst

Input

Definition at line 49 of file cb_huff.v.

enable

Input

Definition at line 50 of file cb_huff.v.

Cb11 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb12 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb13 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb14 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb15 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb16 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb17 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb18 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb21 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb22 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb23 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb24 [ 10 : 0 ]

Input

Definition at line 51 of file cb_huff.v.

Cb25 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb26 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb27 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb28 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb31 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb32 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb33 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb34 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb35 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb36 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb37 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb38 [ 10 : 0 ]

Input

Definition at line 52 of file cb_huff.v.

Cb41 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb42 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb43 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb44 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb45 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb46 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb47 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb48 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb51 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb52 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb53 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb54 [ 10 : 0 ]

Input

Definition at line 53 of file cb_huff.v.

Cb55 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb56 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb57 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb58 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb61 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb62 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb63 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb64 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb65 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb66 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb67 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb68 [ 10 : 0 ]

Input

Definition at line 54 of file cb_huff.v.

Cb71 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb72 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb73 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb74 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb75 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb76 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb77 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb78 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb81 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb82 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb83 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb84 [ 10 : 0 ]

Input

Definition at line 55 of file cb_huff.v.

Cb85 [ 10 : 0 ]

Input

Definition at line 56 of file cb_huff.v.

Cb86 [ 10 : 0 ]

Input

Definition at line 56 of file cb_huff.v.

Cb87 [ 10 : 0 ]

Input

Definition at line 56 of file cb_huff.v.

Cb88 [ 10 : 0 ]

Input

Definition at line 56 of file cb_huff.v.

JPEG_bitstream [ 31 : 0 ]

Output

Definition at line 57 of file cb_huff.v.

data_ready

Output

Definition at line 58 of file cb_huff.v.

output_reg_count [ 4 : 0 ]

Output

Definition at line 59 of file cb_huff.v.

end_of_block_empty

Output

Definition at line 60 of file cb_huff.v.

block_counter

Signal

Definition at line 63 of file cb_huff.v.

Cb11_amp

Signal

Definition at line 64 of file cb_huff.v.

Cb11_1_pos

Signal

Definition at line 64 of file cb_huff.v.

Cb11_1_neg

Signal

Definition at line 64 of file cb_huff.v.

Cb11_diff

Signal

Definition at line 64 of file cb_huff.v.

Cb11_previous

Signal

Definition at line 65 of file cb_huff.v.

Cb11_1

Signal

Definition at line 65 of file cb_huff.v.

Cb12_amp

Signal

Definition at line 66 of file cb_huff.v.

Cb12_pos

Signal

Definition at line 66 of file cb_huff.v.

Cb12_neg

Signal

Definition at line 66 of file cb_huff.v.

Cb21_pos

Signal

Definition at line 67 of file cb_huff.v.

Cb21_neg

Signal

Definition at line 67 of file cb_huff.v.

Cb31_pos

Signal

Definition at line 67 of file cb_huff.v.

Cb31_neg

Signal

Definition at line 67 of file cb_huff.v.

Cb22_pos

Signal

Definition at line 67 of file cb_huff.v.

Cb22_neg

Signal

Definition at line 67 of file cb_huff.v.

Cb13_pos

Signal

Definition at line 68 of file cb_huff.v.

Cb13_neg

Signal

Definition at line 68 of file cb_huff.v.

Cb14_pos

Signal

Definition at line 68 of file cb_huff.v.

Cb14_neg

Signal

Definition at line 68 of file cb_huff.v.

Cb15_pos

Signal

Definition at line 68 of file cb_huff.v.

Cb15_neg

Signal

Definition at line 68 of file cb_huff.v.

Cb16_pos

Signal

Definition at line 69 of file cb_huff.v.

Cb16_neg

Signal

Definition at line 69 of file cb_huff.v.

Cb17_pos

Signal

Definition at line 69 of file cb_huff.v.

Cb17_neg

Signal

Definition at line 69 of file cb_huff.v.

Cb18_pos

Signal

Definition at line 69 of file cb_huff.v.

Cb18_neg

Signal

Definition at line 69 of file cb_huff.v.

Cb23_pos

Signal

Definition at line 70 of file cb_huff.v.

Cb23_neg

Signal

Definition at line 70 of file cb_huff.v.

Cb24_pos

Signal

Definition at line 70 of file cb_huff.v.

Cb24_neg

Signal

Definition at line 70 of file cb_huff.v.

Cb25_pos

Signal

Definition at line 70 of file cb_huff.v.

Cb25_neg

Signal

Definition at line 70 of file cb_huff.v.

Cb26_pos

Signal

Definition at line 71 of file cb_huff.v.

Cb26_neg

Signal

Definition at line 71 of file cb_huff.v.

Cb27_pos

Signal

Definition at line 71 of file cb_huff.v.

Cb27_neg

Signal

Definition at line 71 of file cb_huff.v.

Cb28_pos

Signal

Definition at line 71 of file cb_huff.v.

Cb28_neg

Signal

Definition at line 71 of file cb_huff.v.

Cb32_pos

Signal

Definition at line 72 of file cb_huff.v.

Cb32_neg

Signal

Definition at line 72 of file cb_huff.v.

Cb33_pos

Signal

Definition at line 73 of file cb_huff.v.

Cb33_neg

Signal

Definition at line 73 of file cb_huff.v.

Cb34_pos

Signal

Definition at line 73 of file cb_huff.v.

Cb34_neg

Signal

Definition at line 73 of file cb_huff.v.

Cb35_pos

Signal

Definition at line 73 of file cb_huff.v.

Cb35_neg

Signal

Definition at line 73 of file cb_huff.v.

Cb36_pos

Signal

Definition at line 74 of file cb_huff.v.

Cb36_neg

Signal

Definition at line 74 of file cb_huff.v.

Cb37_pos

Signal

Definition at line 74 of file cb_huff.v.

Cb37_neg

Signal

Definition at line 74 of file cb_huff.v.

Cb38_pos

Signal

Definition at line 74 of file cb_huff.v.

Cb38_neg

Signal

Definition at line 74 of file cb_huff.v.

Cb41_pos

Signal

Definition at line 75 of file cb_huff.v.

Cb41_neg

Signal

Definition at line 75 of file cb_huff.v.

Cb42_pos

Signal

Definition at line 75 of file cb_huff.v.

Cb42_neg

Signal

Definition at line 75 of file cb_huff.v.

Cb43_pos

Signal

Definition at line 76 of file cb_huff.v.

Cb43_neg

Signal

Definition at line 76 of file cb_huff.v.

Cb44_pos

Signal

Definition at line 76 of file cb_huff.v.

Cb44_neg

Signal

Definition at line 76 of file cb_huff.v.

Cb45_pos

Signal

Definition at line 76 of file cb_huff.v.

Cb45_neg

Signal

Definition at line 76 of file cb_huff.v.

Cb46_pos

Signal

Definition at line 77 of file cb_huff.v.

Cb46_neg

Signal

Definition at line 77 of file cb_huff.v.

Cb47_pos

Signal

Definition at line 77 of file cb_huff.v.

Cb47_neg

Signal

Definition at line 77 of file cb_huff.v.

Cb48_pos

Signal

Definition at line 77 of file cb_huff.v.

Cb48_neg

Signal

Definition at line 77 of file cb_huff.v.

Cb51_pos

Signal

Definition at line 78 of file cb_huff.v.

Cb51_neg

Signal

Definition at line 78 of file cb_huff.v.

Cb52_pos

Signal

Definition at line 78 of file cb_huff.v.

Cb52_neg

Signal

Definition at line 78 of file cb_huff.v.

Cb53_pos

Signal

Definition at line 79 of file cb_huff.v.

Cb53_neg

Signal

Definition at line 79 of file cb_huff.v.

Cb54_pos

Signal

Definition at line 79 of file cb_huff.v.

Cb54_neg

Signal

Definition at line 79 of file cb_huff.v.

Cb55_pos

Signal

Definition at line 79 of file cb_huff.v.

Cb55_neg

Signal

Definition at line 79 of file cb_huff.v.

Cb56_pos

Signal

Definition at line 80 of file cb_huff.v.

Cb56_neg

Signal

Definition at line 80 of file cb_huff.v.

Cb57_pos

Signal

Definition at line 80 of file cb_huff.v.

Cb57_neg

Signal

Definition at line 80 of file cb_huff.v.

Cb58_pos

Signal

Definition at line 80 of file cb_huff.v.

Cb58_neg

Signal

Definition at line 80 of file cb_huff.v.

Cb61_pos

Signal

Definition at line 81 of file cb_huff.v.

Cb61_neg

Signal

Definition at line 81 of file cb_huff.v.

Cb62_pos

Signal

Definition at line 81 of file cb_huff.v.

Cb62_neg

Signal

Definition at line 81 of file cb_huff.v.

Cb63_pos

Signal

Definition at line 82 of file cb_huff.v.

Cb63_neg

Signal

Definition at line 82 of file cb_huff.v.

Cb64_pos

Signal

Definition at line 82 of file cb_huff.v.

Cb64_neg

Signal

Definition at line 82 of file cb_huff.v.

Cb65_pos

Signal

Definition at line 82 of file cb_huff.v.

Cb65_neg

Signal

Definition at line 82 of file cb_huff.v.

Cb66_pos

Signal

Definition at line 83 of file cb_huff.v.

Cb66_neg

Signal

Definition at line 83 of file cb_huff.v.

Cb67_pos

Signal

Definition at line 83 of file cb_huff.v.

Cb67_neg

Signal

Definition at line 83 of file cb_huff.v.

Cb68_pos

Signal

Definition at line 83 of file cb_huff.v.

Cb68_neg

Signal

Definition at line 83 of file cb_huff.v.

Cb71_pos

Signal

Definition at line 84 of file cb_huff.v.

Cb71_neg

Signal

Definition at line 84 of file cb_huff.v.

Cb72_pos

Signal

Definition at line 84 of file cb_huff.v.

Cb72_neg

Signal

Definition at line 84 of file cb_huff.v.

Cb73_pos

Signal

Definition at line 85 of file cb_huff.v.

Cb73_neg

Signal

Definition at line 85 of file cb_huff.v.

Cb74_pos

Signal

Definition at line 85 of file cb_huff.v.

Cb74_neg

Signal

Definition at line 85 of file cb_huff.v.

Cb75_pos

Signal

Definition at line 85 of file cb_huff.v.

Cb75_neg

Signal

Definition at line 85 of file cb_huff.v.

Cb76_pos

Signal

Definition at line 86 of file cb_huff.v.

Cb76_neg

Signal

Definition at line 86 of file cb_huff.v.

Cb77_pos

Signal

Definition at line 86 of file cb_huff.v.

Cb77_neg

Signal

Definition at line 86 of file cb_huff.v.

Cb78_pos

Signal

Definition at line 86 of file cb_huff.v.

Cb78_neg

Signal

Definition at line 86 of file cb_huff.v.

Cb81_pos

Signal

Definition at line 87 of file cb_huff.v.

Cb81_neg

Signal

Definition at line 87 of file cb_huff.v.

Cb82_pos

Signal

Definition at line 87 of file cb_huff.v.

Cb82_neg

Signal

Definition at line 87 of file cb_huff.v.

Cb83_pos

Signal

Definition at line 88 of file cb_huff.v.

Cb83_neg

Signal

Definition at line 88 of file cb_huff.v.

Cb84_pos

Signal

Definition at line 88 of file cb_huff.v.

Cb84_neg

Signal

Definition at line 88 of file cb_huff.v.

Cb85_pos

Signal

Definition at line 88 of file cb_huff.v.

Cb85_neg

Signal

Definition at line 88 of file cb_huff.v.

Cb86_pos

Signal

Definition at line 89 of file cb_huff.v.

Cb86_neg

Signal

Definition at line 89 of file cb_huff.v.

Cb87_pos

Signal

Definition at line 89 of file cb_huff.v.

Cb87_neg

Signal

Definition at line 89 of file cb_huff.v.

Cb88_pos

Signal

Definition at line 89 of file cb_huff.v.

Cb88_neg

Signal

Definition at line 89 of file cb_huff.v.

Cb11_bits_pos

Signal

Definition at line 90 of file cb_huff.v.

Cb11_bits_neg

Signal

Definition at line 90 of file cb_huff.v.

Cb11_bits

Signal

Definition at line 90 of file cb_huff.v.

Cb11_bits_1

Signal

Definition at line 90 of file cb_huff.v.

Cb12_bits_pos

Signal

Definition at line 91 of file cb_huff.v.

Cb12_bits_neg

Signal

Definition at line 91 of file cb_huff.v.

Cb12_bits

Signal

Definition at line 91 of file cb_huff.v.

Cb12_bits_1

Signal

Definition at line 91 of file cb_huff.v.

Cb12_bits_2

Signal

Definition at line 92 of file cb_huff.v.

Cb12_bits_3

Signal

Definition at line 92 of file cb_huff.v.

Cb11_msb

Signal

Definition at line 93 of file cb_huff.v.

Cb12_msb

Signal

Definition at line 93 of file cb_huff.v.

Cb12_msb_1

Signal

Definition at line 93 of file cb_huff.v.

data_ready

Signal

Definition at line 93 of file cb_huff.v.

enable_1

Signal

Definition at line 94 of file cb_huff.v.

enable_2

Signal

Definition at line 94 of file cb_huff.v.

enable_3

Signal

Definition at line 94 of file cb_huff.v.

enable_4

Signal

Definition at line 94 of file cb_huff.v.

enable_5

Signal

Definition at line 94 of file cb_huff.v.

enable_6

Signal

Definition at line 94 of file cb_huff.v.

enable_7

Signal

Definition at line 95 of file cb_huff.v.

enable_8

Signal

Definition at line 95 of file cb_huff.v.

enable_9

Signal

Definition at line 95 of file cb_huff.v.

enable_10

Signal

Definition at line 95 of file cb_huff.v.

enable_11

Signal

Definition at line 95 of file cb_huff.v.

enable_12

Signal

Definition at line 95 of file cb_huff.v.

enable_13

Signal

Definition at line 96 of file cb_huff.v.

enable_module

Signal

Definition at line 96 of file cb_huff.v.

enable_latch_7

Signal

Definition at line 96 of file cb_huff.v.

enable_latch_8

Signal

Definition at line 96 of file cb_huff.v.

Cb12_et_zero

Signal

Definition at line 97 of file cb_huff.v.

rollover

Signal

Definition at line 97 of file cb_huff.v.

rollover_1

Signal

Definition at line 97 of file cb_huff.v.

rollover_2

Signal

Definition at line 97 of file cb_huff.v.

rollover_3

Signal

Definition at line 97 of file cb_huff.v.

rollover_4

Signal

Definition at line 98 of file cb_huff.v.

rollover_5

Signal

Definition at line 98 of file cb_huff.v.

rollover_6

Signal

Definition at line 98 of file cb_huff.v.

rollover_7

Signal

Definition at line 98 of file cb_huff.v.

Cb21_et_zero

Signal

Definition at line 99 of file cb_huff.v.

Cb21_msb

Signal

Definition at line 99 of file cb_huff.v.

Cb31_et_zero

Signal

Definition at line 99 of file cb_huff.v.

Cb31_msb

Signal

Definition at line 99 of file cb_huff.v.

Cb22_et_zero

Signal

Definition at line 100 of file cb_huff.v.

Cb22_msb

Signal

Definition at line 100 of file cb_huff.v.

Cb13_et_zero

Signal

Definition at line 100 of file cb_huff.v.

Cb13_msb

Signal

Definition at line 100 of file cb_huff.v.

Cb14_et_zero

Signal

Definition at line 101 of file cb_huff.v.

Cb14_msb

Signal

Definition at line 101 of file cb_huff.v.

Cb15_et_zero

Signal

Definition at line 101 of file cb_huff.v.

Cb15_msb

Signal

Definition at line 101 of file cb_huff.v.

Cb16_et_zero

Signal

Definition at line 102 of file cb_huff.v.

Cb16_msb

Signal

Definition at line 102 of file cb_huff.v.

Cb17_et_zero

Signal

Definition at line 102 of file cb_huff.v.

Cb17_msb

Signal

Definition at line 102 of file cb_huff.v.

Cb18_et_zero

Signal

Definition at line 103 of file cb_huff.v.

Cb18_msb

Signal

Definition at line 103 of file cb_huff.v.

Cb23_et_zero

Signal

Definition at line 104 of file cb_huff.v.

Cb23_msb

Signal

Definition at line 104 of file cb_huff.v.

Cb24_et_zero

Signal

Definition at line 104 of file cb_huff.v.

Cb24_msb

Signal

Definition at line 104 of file cb_huff.v.

Cb25_et_zero

Signal

Definition at line 105 of file cb_huff.v.

Cb25_msb

Signal

Definition at line 105 of file cb_huff.v.

Cb26_et_zero

Signal

Definition at line 105 of file cb_huff.v.

Cb26_msb

Signal

Definition at line 105 of file cb_huff.v.

Cb27_et_zero

Signal

Definition at line 106 of file cb_huff.v.

Cb27_msb

Signal

Definition at line 106 of file cb_huff.v.

Cb28_et_zero

Signal

Definition at line 106 of file cb_huff.v.

Cb28_msb

Signal

Definition at line 106 of file cb_huff.v.

Cb32_et_zero

Signal

Definition at line 107 of file cb_huff.v.

Cb32_msb

Signal

Definition at line 107 of file cb_huff.v.

Cb33_et_zero

Signal

Definition at line 107 of file cb_huff.v.

Cb33_msb

Signal

Definition at line 107 of file cb_huff.v.

Cb34_et_zero

Signal

Definition at line 108 of file cb_huff.v.

Cb34_msb

Signal

Definition at line 108 of file cb_huff.v.

Cb35_et_zero

Signal

Definition at line 108 of file cb_huff.v.

Cb35_msb

Signal

Definition at line 108 of file cb_huff.v.

Cb36_et_zero

Signal

Definition at line 109 of file cb_huff.v.

Cb36_msb

Signal

Definition at line 109 of file cb_huff.v.

Cb37_et_zero

Signal

Definition at line 109 of file cb_huff.v.

Cb37_msb

Signal

Definition at line 109 of file cb_huff.v.

Cb38_et_zero

Signal

Definition at line 110 of file cb_huff.v.

Cb38_msb

Signal

Definition at line 110 of file cb_huff.v.

Cb41_et_zero

Signal

Definition at line 111 of file cb_huff.v.

Cb41_msb

Signal

Definition at line 111 of file cb_huff.v.

Cb42_et_zero

Signal

Definition at line 111 of file cb_huff.v.

Cb42_msb

Signal

Definition at line 111 of file cb_huff.v.

Cb43_et_zero

Signal

Definition at line 112 of file cb_huff.v.

Cb43_msb

Signal

Definition at line 112 of file cb_huff.v.

Cb44_et_zero

Signal

Definition at line 112 of file cb_huff.v.

Cb44_msb

Signal

Definition at line 112 of file cb_huff.v.

Cb45_et_zero

Signal

Definition at line 113 of file cb_huff.v.

Cb45_msb

Signal

Definition at line 113 of file cb_huff.v.

Cb46_et_zero

Signal

Definition at line 113 of file cb_huff.v.

Cb46_msb

Signal

Definition at line 113 of file cb_huff.v.

Cb47_et_zero

Signal

Definition at line 114 of file cb_huff.v.

Cb47_msb

Signal

Definition at line 114 of file cb_huff.v.

Cb48_et_zero

Signal

Definition at line 114 of file cb_huff.v.

Cb48_msb

Signal

Definition at line 114 of file cb_huff.v.

Cb51_et_zero

Signal

Definition at line 115 of file cb_huff.v.

Cb51_msb

Signal

Definition at line 115 of file cb_huff.v.

Cb52_et_zero

Signal

Definition at line 115 of file cb_huff.v.

Cb52_msb

Signal

Definition at line 115 of file cb_huff.v.

Cb53_et_zero

Signal

Definition at line 116 of file cb_huff.v.

Cb53_msb

Signal

Definition at line 116 of file cb_huff.v.

Cb54_et_zero

Signal

Definition at line 116 of file cb_huff.v.

Cb54_msb

Signal

Definition at line 116 of file cb_huff.v.

Cb55_et_zero

Signal

Definition at line 117 of file cb_huff.v.

Cb55_msb

Signal

Definition at line 117 of file cb_huff.v.

Cb56_et_zero

Signal

Definition at line 117 of file cb_huff.v.

Cb56_msb

Signal

Definition at line 117 of file cb_huff.v.

Cb57_et_zero

Signal

Definition at line 118 of file cb_huff.v.

Cb57_msb

Signal

Definition at line 118 of file cb_huff.v.

Cb58_et_zero

Signal

Definition at line 118 of file cb_huff.v.

Cb58_msb

Signal

Definition at line 118 of file cb_huff.v.

Cb61_et_zero

Signal

Definition at line 119 of file cb_huff.v.

Cb61_msb

Signal

Definition at line 119 of file cb_huff.v.

Cb62_et_zero

Signal

Definition at line 119 of file cb_huff.v.

Cb62_msb

Signal

Definition at line 119 of file cb_huff.v.

Cb63_et_zero

Signal

Definition at line 120 of file cb_huff.v.

Cb63_msb

Signal

Definition at line 120 of file cb_huff.v.

Cb64_et_zero

Signal

Definition at line 120 of file cb_huff.v.

Cb64_msb

Signal

Definition at line 120 of file cb_huff.v.

Cb65_et_zero

Signal

Definition at line 121 of file cb_huff.v.

Cb65_msb

Signal

Definition at line 121 of file cb_huff.v.

Cb66_et_zero

Signal

Definition at line 121 of file cb_huff.v.

Cb66_msb

Signal

Definition at line 121 of file cb_huff.v.

Cb67_et_zero

Signal

Definition at line 122 of file cb_huff.v.

Cb67_msb

Signal

Definition at line 122 of file cb_huff.v.

Cb68_et_zero

Signal

Definition at line 122 of file cb_huff.v.

Cb68_msb

Signal

Definition at line 122 of file cb_huff.v.

Cb71_et_zero

Signal

Definition at line 123 of file cb_huff.v.

Cb71_msb

Signal

Definition at line 123 of file cb_huff.v.

Cb72_et_zero

Signal

Definition at line 123 of file cb_huff.v.

Cb72_msb

Signal

Definition at line 123 of file cb_huff.v.

Cb73_et_zero

Signal

Definition at line 124 of file cb_huff.v.

Cb73_msb

Signal

Definition at line 124 of file cb_huff.v.

Cb74_et_zero

Signal

Definition at line 124 of file cb_huff.v.

Cb74_msb

Signal

Definition at line 124 of file cb_huff.v.

Cb75_et_zero

Signal

Definition at line 125 of file cb_huff.v.

Cb75_msb

Signal

Definition at line 125 of file cb_huff.v.

Cb76_et_zero

Signal

Definition at line 125 of file cb_huff.v.

Cb76_msb

Signal

Definition at line 125 of file cb_huff.v.

Cb77_et_zero

Signal

Definition at line 126 of file cb_huff.v.

Cb77_msb

Signal

Definition at line 126 of file cb_huff.v.

Cb78_et_zero

Signal

Definition at line 126 of file cb_huff.v.

Cb78_msb

Signal

Definition at line 126 of file cb_huff.v.

Cb81_et_zero

Signal

Definition at line 127 of file cb_huff.v.

Cb81_msb

Signal

Definition at line 127 of file cb_huff.v.

Cb82_et_zero

Signal

Definition at line 127 of file cb_huff.v.

Cb82_msb

Signal

Definition at line 127 of file cb_huff.v.

Cb83_et_zero

Signal

Definition at line 128 of file cb_huff.v.

Cb83_msb

Signal

Definition at line 128 of file cb_huff.v.

Cb84_et_zero

Signal

Definition at line 128 of file cb_huff.v.

Cb84_msb

Signal

Definition at line 128 of file cb_huff.v.

Cb85_et_zero

Signal

Definition at line 129 of file cb_huff.v.

Cb85_msb

Signal

Definition at line 129 of file cb_huff.v.

Cb86_et_zero

Signal

Definition at line 129 of file cb_huff.v.

Cb86_msb

Signal

Definition at line 129 of file cb_huff.v.

Cb87_et_zero

Signal

Definition at line 130 of file cb_huff.v.

Cb87_msb

Signal

Definition at line 130 of file cb_huff.v.

Cb88_et_zero

Signal

Definition at line 130 of file cb_huff.v.

Cb88_msb

Signal

Definition at line 130 of file cb_huff.v.

Cb12_et_zero_1

Signal

Definition at line 131 of file cb_huff.v.

Cb12_et_zero_2

Signal

Definition at line 131 of file cb_huff.v.

Cb12_et_zero_3

Signal

Definition at line 131 of file cb_huff.v.

Cb12_et_zero_4

Signal

Definition at line 131 of file cb_huff.v.

Cb12_et_zero_5

Signal

Definition at line 131 of file cb_huff.v.

Cb_DC [ 11 : 0 ]

Signal

Definition at line 132 of file cb_huff.v.

Cb_DC_code_length [ 11 : 0 ]

Signal

Definition at line 133 of file cb_huff.v.

Cb_AC [ 161 : 0 ]

Signal

Definition at line 134 of file cb_huff.v.

Cb_AC_code_length [ 161 : 0 ]

Signal

Definition at line 135 of file cb_huff.v.

Cb_AC_run_code [ 250 : 0 ]

Signal

Definition at line 136 of file cb_huff.v.

Cb11_Huff

Signal

Definition at line 137 of file cb_huff.v.

Cb11_Huff_1

Signal

Definition at line 137 of file cb_huff.v.

Cb11_Huff_2

Signal

Definition at line 137 of file cb_huff.v.

Cb12_Huff

Signal

Definition at line 138 of file cb_huff.v.

Cb12_Huff_1

Signal

Definition at line 138 of file cb_huff.v.

Cb12_Huff_2

Signal

Definition at line 138 of file cb_huff.v.

Cb11_Huff_count

Signal

Definition at line 139 of file cb_huff.v.

Cb11_Huff_shift

Signal

Definition at line 139 of file cb_huff.v.

Cb11_Huff_shift_1

Signal

Definition at line 139 of file cb_huff.v.

Cb11_amp_shift

Signal

Definition at line 139 of file cb_huff.v.

Cb12_amp_shift

Signal

Definition at line 139 of file cb_huff.v.

Cb12_Huff_shift

Signal

Definition at line 140 of file cb_huff.v.

Cb12_Huff_shift_1

Signal

Definition at line 140 of file cb_huff.v.

zero_run_length

Signal

Definition at line 140 of file cb_huff.v.

zrl_1

Signal

Definition at line 140 of file cb_huff.v.

zrl_2

Signal

Definition at line 140 of file cb_huff.v.

zrl_3

Signal

Definition at line 140 of file cb_huff.v.

Cb12_Huff_count

Signal

Definition at line 141 of file cb_huff.v.

Cb12_Huff_count_1

Signal

Definition at line 141 of file cb_huff.v.

output_reg_count

Signal

Definition at line 142 of file cb_huff.v.

Cb11_output_count

Signal

Definition at line 142 of file cb_huff.v.

old_orc_1

Signal

Definition at line 142 of file cb_huff.v.

old_orc_2

Signal

Definition at line 142 of file cb_huff.v.

old_orc_3

Signal

Definition at line 143 of file cb_huff.v.

old_orc_4

Signal

Definition at line 143 of file cb_huff.v.

old_orc_5

Signal

Definition at line 143 of file cb_huff.v.

old_orc_6

Signal

Definition at line 143 of file cb_huff.v.

Cb12_oc_1

Signal

Definition at line 143 of file cb_huff.v.

orc_3

Signal

Definition at line 144 of file cb_huff.v.

orc_4

Signal

Definition at line 144 of file cb_huff.v.

orc_5

Signal

Definition at line 144 of file cb_huff.v.

orc_6

Signal

Definition at line 144 of file cb_huff.v.

orc_7

Signal

Definition at line 144 of file cb_huff.v.

orc_8

Signal

Definition at line 144 of file cb_huff.v.

Cb12_output_count

Signal

Definition at line 145 of file cb_huff.v.

Cb12_edge

Signal

Definition at line 146 of file cb_huff.v.

Cb12_edge_1

Signal

Definition at line 146 of file cb_huff.v.

Cb12_edge_2

Signal

Definition at line 146 of file cb_huff.v.

Cb12_edge_3

Signal

Definition at line 146 of file cb_huff.v.

Cb12_edge_4

Signal

Definition at line 146 of file cb_huff.v.

JPEG_bitstream

Signal

Definition at line 147 of file cb_huff.v.

JPEG_bs

Signal

Definition at line 147 of file cb_huff.v.

JPEG_bs_1

Signal

Definition at line 147 of file cb_huff.v.

JPEG_bs_2

Signal

Definition at line 147 of file cb_huff.v.

JPEG_bs_3

Signal

Definition at line 147 of file cb_huff.v.

JPEG_bs_4

Signal

Definition at line 147 of file cb_huff.v.

JPEG_bs_5

Signal

Definition at line 147 of file cb_huff.v.

JPEG_Cb12_bs

Signal

Definition at line 148 of file cb_huff.v.

JPEG_Cb12_bs_1

Signal

Definition at line 148 of file cb_huff.v.

JPEG_Cb12_bs_2

Signal

Definition at line 148 of file cb_huff.v.

JPEG_Cb12_bs_3

Signal

Definition at line 148 of file cb_huff.v.

JPEG_Cb12_bs_4

Signal

Definition at line 148 of file cb_huff.v.

JPEG_ro_bs

Signal

Definition at line 149 of file cb_huff.v.

JPEG_ro_bs_1

Signal

Definition at line 149 of file cb_huff.v.

JPEG_ro_bs_2

Signal

Definition at line 149 of file cb_huff.v.

JPEG_ro_bs_3

Signal

Definition at line 149 of file cb_huff.v.

JPEG_ro_bs_4

Signal

Definition at line 149 of file cb_huff.v.

Cb11_JPEG_LSBs_3

Signal

Definition at line 150 of file cb_huff.v.

Cb11_JPEG_LSBs

Signal

Definition at line 151 of file cb_huff.v.

Cb11_JPEG_LSBs_1

Signal

Definition at line 151 of file cb_huff.v.

Cb11_JPEG_LSBs_2

Signal

Definition at line 151 of file cb_huff.v.

Cb12_JPEG_LSBs

Signal

Definition at line 152 of file cb_huff.v.

Cb12_JPEG_LSBs_1

Signal

Definition at line 152 of file cb_huff.v.

Cb12_JPEG_LSBs_2

Signal

Definition at line 152 of file cb_huff.v.

Cb12_JPEG_LSBs_3

Signal

Definition at line 152 of file cb_huff.v.

Cb11_JPEG_bits

Signal

Definition at line 153 of file cb_huff.v.

Cb11_JPEG_bits_1

Signal

Definition at line 153 of file cb_huff.v.

Cb12_JPEG_bits

Signal

Definition at line 153 of file cb_huff.v.

Cb12_JPEG_LSBs_4

Signal

Definition at line 153 of file cb_huff.v.

Cb12_code_entry

Signal

Definition at line 154 of file cb_huff.v.

third_8_all_0s

Signal

Definition at line 155 of file cb_huff.v.

fourth_8_all_0s

Signal

Definition at line 155 of file cb_huff.v.

fifth_8_all_0s

Signal

Definition at line 155 of file cb_huff.v.

sixth_8_all_0s

Signal

Definition at line 155 of file cb_huff.v.

seventh_8_all_0s

Signal

Definition at line 155 of file cb_huff.v.

eighth_8_all_0s

Signal

Definition at line 156 of file cb_huff.v.

end_of_block

Signal

Definition at line 156 of file cb_huff.v.

end_of_block_output

Signal

Definition at line 156 of file cb_huff.v.

code_15_0

Signal

Definition at line 156 of file cb_huff.v.

zrl_et_15

Signal

Definition at line 156 of file cb_huff.v.

end_of_block_empty

Signal

Definition at line 157 of file cb_huff.v.

code_index

Signal

Definition at line 159 of file cb_huff.v.

The documentation for this Module was generated from the following files:

- code/cb_huff.v